#version 330

layout(location = 0) in vec2 vertexPosition;

uniform vec2 spritePosition;
uniform vec2 spriteSize;

out vec2 uv;

void main() {
	uv = vertexPosition/2 + 0.5;
	uv.y = 1-uv.y;
	gl_Position = vec4(vertexPosition * spriteSize + spritePosition, 0, 1);
}
